module.exports = {
  create: {
    requestBody: [
      '!name',
      'termid',
      'batchid',
      'classid',
      'students',
      'score',
      'status'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'name',
      'termid',
      'batchid',
      'classid',
      'students',
      'score',
      'status'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        name :'name',
        termid :'termid',
        batchid:'batchid',
        classid :'classid',
        students :'students',
        score: 'score', 
        status :'status'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
