module.exports = {
  create: {
    requestBody: [
      "!name",
      "!phone",
      "gender",
      "openid",
      "age",
      "birthday",
      "department",
      "islyteacher",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "name",
      "phone",
      "gender",
      "openid",
      "age",
      "birthday",
      "department",
      "islyteacher",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        name: "name",
        phone: "phone",
        gender: "gender",
        openid: "openid",
        age: "age",
        birthday: "birthday",
        department: "department",
        islyteacher: "islyteacher",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
