module.exports = {
  create: {
    requestBody: [
      "batchid",
      "termid",
      "planid",
      'planyearid',
      "!studentid",
      "classid",
      "starttime",
      "endtime",
      "stuname",
      "reason",
      "status",
      "refcause",
      "type",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "batchid",
      "termid",
      "planid",
      'planyearid',
      "classid",
      "studentid",
      "starttime",
      "endtime",
      "stuname",
      "reason",
      "status",
      "refcause",
      "type",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        batchid: "batchid",
        termid: "termid",
        planid: "planid",
        planyearid: 'planyearid',
        studentid: "studentid",
        classid: "classid",
        starttime: "starttime",
        endtime: "endtime",
        stuname: "stuname",
        reason: "reason",
        status: "status",
        refcause: "refcause",
        type: "type",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
