module.exports = {
  create: {
    requestBody: [
      "code",
      "name",
      "shortname",
      "logourl",
      "level",
      "address",
      "number",
      "hascar",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "code",
      "name",
      "shortname",
      "logourl",
      "level",
      "address",
      "number",
      "hascar",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        code: "code",
        name: "name",
        shortname: "shortname",
        logourl: "logourl",
        level: "level",
        address: "address",
        number: "number",
        hascar: "hascar",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
