module.exports = {
  create: {
    requestBody: [
      '!termid',
      '!batchid',
      '!classid',
      '!studentid',
      '!questionnaireid',
      'answers'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'termid',
      'batchid',
      'classid',
      'studentid',
      'questionnaireid',
      'answers'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        termid : 'termid',
        batchid: 'batchid',
        classid : 'classid',
        studentid : 'studentid'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
