module.exports = {
  create: {
    requestBody: [
      '!termid',
      '!batchid',
      '!classid',
      '!lessonid',
      '!studentid',
      'picrul',
      'taskid',
      'score',
      'answers'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'termid',
      'batchid',
      'classid',
      'lessonid',
      'studentid',
      'picrul',
      'taskid',
      'score',
      'answers'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        termid : 'termid',
        batchid: 'batchid',
        classid : 'classid',
        lessonid : 'lessonid',
        studentid : 'studentid',
        picrul : 'picrul',
        taskid: 'taskid',
        score: 'score',
        answers:'answers'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
